﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.ViewModel
{
    public class AddTaskLesionAnswerFromLastTaskInDto
    {
        public Guid VisitTaskId { get; set; }
    }

    public class VisitStudyTime
    {
        /// <summary>
        /// 访视Id
        /// </summary>
        public Guid SubjectVisitId { get; set; }

        public DateTime? StudyTime { get; set; }
    }

    public class SiteVisitForTumor
    {
        /// <summary>
        /// 访视Id
        /// </summary>
        public Guid VisitTaskId { get; set; }

        public Guid? SubjectVisitId { get; set; }

        /// <summary>
        /// 任务Num
        /// </summary>
        public decimal VisitTaskNum { get; set; }

        /// <summary>
        /// 检查日期
        /// </summary>
        public DateTime? StudyTime { get; set; }

      
    }

    public class AddTaskLesionAnswerFromLastTaskOutDto
    {
        public bool IsBaseLine { get; set; }
    }

    public class IRECISTTargetLesionDto
    {
        /// <summary>
        /// 基线未选择任何靶病灶
        /// </summary>
        public bool ExistsTargetLesion { get; set; }

        /// <summary>
        /// 上一访视评估为iCPD
        /// </summary>
        public bool LastTaskIsICPD { get; set; }

        /// <summary>
        /// 满足RECISTPD
        /// </summary>
        public bool MeetRECISTPD { get; set; }



    }

    /// <summary>
    /// 新靶病灶评估Dto
    /// </summary>
    public class IRECISTNewTargetLesionDto
    {
        /// <summary>
        /// 存在新靶病灶
        /// </summary>
        public bool ExistsNewTargetLesion { get; set; }

        /// <summary>
        /// 所有状态为消失
        /// </summary>
        public bool AllVanish { get; set; }

        /// <summary>
        /// 上一访视新靶病灶评估为“iUPD”
        /// </summary>
        public bool LastTaskIsiUPD { get; set; }

        /// <summary>
        /// SOD增加5mm以上
        /// </summary>
        public bool ISODAdd5mm { get; set; }

        /// <summary>
        /// 有"存在"状态的新靶病灶
        /// </summary>
        public bool HaveExixtsState { get; set; }

        /// <summary>
        /// 至少有一个新靶病无法评估
        /// </summary>
        public bool ExixtsUnevaluableState { get; set; }
    }

    public class IRECISTNewNoTargetLesionDto
    {
        /// <summary>
        /// 存在新非靶病灶
        /// </summary>
        public bool ExistsNewNoTargetLesion { get; set; }

        /// <summary>
        /// 所有状态为消失
        /// </summary>
        public bool AllVanish { get; set; }


        /// <summary>
        /// 上一访视新靶病灶评估为“iUPD”
        /// </summary>
        public bool LastTaskIsiUPD { get; set; }

        /// <summary>
        /// 任一新非靶病灶状态为“增大”
        /// </summary>
        public bool ExixtsEnlargementState { get; set; }

        /// <summary>
        /// 有"存在"状态的病灶
        /// </summary>
        public bool HaveExixtsState { get; set; }

        /// <summary>
        /// 至少有一个病灶无法评估
        /// </summary>
        public bool ExixtsUnevaluableState { get; set; }
    }
}
